org.mariadb.jdbc.internal.packet.send

## Class SendSslConnectionRequestPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.SendSslConnectionRequestPacket

All Implemented Interfaces:
  InterfaceSendPacket

    public class SendSslConnectionRequestPacket
    extends Object
    implements InterfaceSendPacket

Used for starting ssl connections.

### Constructor Summary

Constructors
Constructor and Description
`SendSslConnectionRequestPacket(long clientCapabilities, byte serverLanguage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `send(OutputStream os)` Send capabilities.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendSslConnectionRequestPacket

    public SendSslConnectionRequestPacket(long clientCapabilities,
                                          byte serverLanguage)

### Method Detail

#### send

    public void send(OutputStream os)
              throws IOException

Send capabilities.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `os` - database stream.
Throws:
  `IOException` - if any connection error occur